VMTKBOUNDARYLAYER2(1)

NAME
vmtkboundarylayer2 - vmtk script vmtkboundarylayer2

DESCRIPTION
Automatic piping vmtkboundarylayer2 Parsing options vmtkboundarylayer2

vmtkboundarylayer2 : create a prismatic boundary layer from a surface

    mesh and a set of vectors defined on the nodes

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-warpvectorsarray WarpVectorsArrayName (str,1); default=Normals:

    name of the array where warp vectors are stored

-thicknessarray ThicknessArrayName (str,1): name of the array where

    scalars defining boundary layer thickness are stored

-thickness Thickness (float,1); default=1.0: value of constant

    boundary layer thickness

-thicknessratio ThicknessRatio (float,1) >= 0.0; default=0.1:

    multiplying factor for boundary layer thickness

-maximumthickness MaximumThickness (float,1);

    default=10000000000.0: maximum allowed value for boundary layer thickness

-numberofsublayers NumberOfSubLayers (int,1) >= 0; default=1:

    number of sublayers which the boundary layer has to be made of

-sublayerratio SubLayerRatio (float,1) >= 0.0; default=1.0: ratio

    between the thickness of two successive boundary layers

-warpvectormagnitudeasthickness UseWarpVectorMagnitudeAsThickness

    (bool,1); default=0: compute boundary layer thickness as the norm of warp vectors

-constantthickness ConstantThickness (bool,1); default=0: toggle

    constant boundary layer thickness

-includesurfacecells IncludeSurfaceCells (bool,1); default=1:

    include all surface cells in output mesh

-negatewarpvectors NegateWarpVectors (bool,1); default=0: flip the

    orientation of warp vectors

-cellentityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where the cell entity ids will be stored

-openprofilesidsarray OpenProfilesIdsArrayName (str,1): name of the

    array indicating which points are on open profiles

-includeextrudedopenprofilescells IncludeExtrudedOpenProfilesCells

    (bool,1); default=1: include the cells from the open profiles extruded surface in output mesh

-includeextrudedsurfacecells IncludeExtrudedSurfaceCells (bool,1);

    default=1: include the cells from the extruded surface in output mesh

-includeoriginalsurfacecells IncludeOriginalSurfaceCells (bool,1);

    default=1: include the cells from the original surface in output mesh

-layerentityid LayerEntityId (int,1); default=0: id assigned to the

    volumetric layer

-surfaceentityid SurfaceEntityId (int,1); default=1: id assigned to

    the first surface entity (ids go increasingly)

-openprofilesentityid OpenProfilesEntityId (int,1); default=2: id

    assigned to the first extruded open profile (ids go increasingly)

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

-oinnerfile InnerSurfaceMeshOutputFileName (str,1): filename for

    the default InnerSurfaceMesh writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-oinner InnerSurfaceMesh (vtkUnstructuredGrid,1): the output inner

    surface mesh